package test.jpa.entity;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.OneToMany;


@Entity
public class Person extends Base {

	Person() {} // make JPA happy
	public Person(final String id) { super(id); }

	@OneToMany(cascade = {CascadeType.ALL}, fetch = FetchType.LAZY, mappedBy = "person")
	private Set<Address> addressSet = new HashSet<Address>();

//	public Address[] getAddressArray() {
//		return (Address[]) addressSet.toArray(new Address[0]);
//	}
	public void addAddress(final Address address) {
		if (false == addressSet.contains(address)) {
			addressSet.add(address);
			address.setPerson(this);
		}
	}

}
